DirectoryIterator::rewind
DirectoryIterator::__toString
DirectoryIterator
PHP Manual

# DirectoryIterator::seek

Seek to a DirectoryIterator item

### Description

public void DirectoryIterator::seek ( int `$position` )

Seek to a given position in the DirectoryIterator.

### Parameters

`position`

  The zero-based numeric position to seek to.

### Return Values

No value is returned.

### Examples

Example #1 DirectoryIterator::seek example

Seek to the fourth item in the directory containing the script. The first two are usually . and ..

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
$iterator->seek(3);
if ($iterator->valid()) {
echo $iterator->getFilename();
} else {
echo 'No file at position 3';
}
?>`

### See Also

- DirectoryIterator::rewind
- DirectoryIterator::next
- SeekableIterator::seek